/*
 Theme Name:   GP Blog Pro
 Theme URI:    https://wplitetheme.com/gp-blog-pro/
 Description:  GeneratePress Child theme for mobile responsive blog website. Using this child theme you can easily create a blog website. This GeneratePress Child theme design by wplitetheme.com
 Author:       WPLiteTheme.com
 Author URI:   https://wplitetheme.com
 Template:     generatepress
 Version:      1.3.0
*/

/* GeneratePress Site CSS */
.main-navigation {
	box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
}
#wp-block-search__input-1 {
	border: 0px;
}
/* social-sharing-icon */ 
.sticky-social-icons {
     position: fixed!important;
     right:0!important;
     top: 45%!important;
}
/*Post Comment*/
@media (max-width: 768px){
	.comments-area {
		margin-left:15px;
		margin-right: 15px;
	}
}
.comments-area {
	border-radius: 7px;
	border: 1px solid var(--border-color);;
	margin-top: 50px;
}
.comment-reply-title {
	margin-top: -35px;
	margin-bottom: 40px;
	border: 1.5px solid var(--text-1);
	background: var(--background);
	padding: 4px 30px;
	border-radius: 50px;
	font-size: 22px;
	color: var(--text-1);
}


.giveaway-banner {
  background: linear-gradient(90deg, #9c27b0, #e91e63);
  color: white;
  text-align: center;
  font-size: clamp(12px, 3vw, 18px); /* auto scales better for mobile */
  font-weight: bold;
  padding: 6px 0; /* shorter height */
  border: 2px solid white;
  width: 100%;
  white-space: nowrap;  /* force single line */
  overflow: hidden;
  text-overflow: ellipsis; /* adds ... if space is too small */
  box-shadow: 0 2px 6px rgba(0,0,0,0.2);
}

.giveaway-banner a {
  color: #fff;
  text-decoration: underline;
  transition: 0.3s;
}

.giveaway-banner a:hover {
  color: yellow;
}
